#import "BarView.h"

@implementation BarView

- (IBAction)takePercentage:(id)sender
{
    [self setPercentage:[sender floatValue] ];
}

/* designated initializer */
- initWithFrame:(NSRect)r
{
    [super initWithFrame:r];
    [self setBoundsSize:NSMakeSize(100.0,1.0)];
    return self;
}

- (BOOL)isOpaque
{
    return YES;
}

- (void)drawRect:(NSRect)aRect
{
    [[NSColor blackColor] set];
    NSRectFill(NSMakeRect(0,0,percentage,1));

    NSDrawWindowBackground(
                NSMakeRect(percentage,0,100-percentage,1));
}

- (void)setPercentage:(float)val
{
    percentage = val;
    [self setNeedsDisplay:YES];
}



@end
