#import <Cocoa/Cocoa.h>

@interface PrefController : NSObject
{
    // Colors tab
    IBOutlet id axesColorWell;
    IBOutlet id graphColorWell;
    IBOutlet id labelColorWell;

    // Initial tab
    IBOutlet id xminCell;
    IBOutlet id xmaxCell;
    IBOutlet id xstepCell;
    IBOutlet id yminCell;
    IBOutlet id ymaxCell;

    IBOutlet id window;
}

- (IBAction)okay:(id)sender;
- (IBAction)revert:(id)sender;

- (NSWindow *)window;
- (void)setUpWell:(NSColorWell *)well;
- (NSColorWell *)colorWellForTag:(int)aTag;

@end
