#import <Cocoa/Cocoa.h>
#import "GraphView.h"


@interface ColorGraphView : GraphView
{
    NSColor *axesColor;
    NSColor *graphColor;
    NSColor *labelColor;
}

- (NSColor *)colorForTag:(int)aTag;
- (void)setObjectsToColor:(NSColor *)theColor forTag:(int)aTag;
- (void)addGraphElement:(id)element;

- (IBAction)setObjectsToColor:(id)sender;


@end
